
  PocketD v1.66  (D.EXE) Directory Listing & File Management Program

 PocketD (TM)  Copyright Jeff Rollason, PocketWare (TM) 1990-1992

(See end of this file for the files that should accompany PocketD.)

   "(PocketD)  is  smaller  than  many  other file  utilities,  but
   jam-packed  with features...Despite the amount of space we  have
   spent on PocketD, we have only scratched the surface."

   ...  PsL News February 1992, reviewed  as one of the 4 best  new
        programs of the month (from 200 new and updated programs).


                      PocketD is SHAREWARE (ASP)

PocketD is marketed as "Try-before-buy". You may freely experiment with
the software for 30 days to find out whether it is right for you. If it
isn't,  then you will probably not use it. If you do continue then  you
will  notice that 3% of the  time PocketD displays a two line  reminder
informing you that it is not free software.

You  may find this reminder a nuisance. If you do, then by  implication
you  must  already  be  a  regular  user of the  software,  and  should
therefore register!
                           INTRODUCTION

PocketD  is  a  small  flexible  colour directory listing  program  and
exceptionally  powerful DOS utility. Its highly generalised design  and
range of built-in features allows it to be used for almost any purpose,
including  for  example: Virus  checking, disk cataloging, disk  backup
reminder,  reversing unintended  copies, DOS menu system,  programmer's
MAKE  system  and much, much  more... PocketD is the one  program  most
likely  to  fulfil  all  your  file management needs and  probably  the
nearest  you  will get to the  DOS user's equivalent of the Swiss  Army
knife.

PocketD  is  25k in size  and supports over 120 options, including  the
following key features (expanded and detailed in the file FEATURE.CMP):

   . Full ON-LINE HELP giving direct access to help on each option
   . Optimised file COPYing to multiple disks
   . Safe file/dir COPY/MOVE/RENAME selected by any criteria
   . Fast MOVE by copying directory entry, rather than COPY+DELETE
   . SEARCH for files across multiple drives and subdirs
   . Search or view contents of ZIP,ZOO,LZH,ARC,PAK,PKA & ARJ archives
   . Advanced wildcard system, allowing multiple filespecs such as
     "*TMP*F*" or "*=D*" (match any name containing a digit 0-9) etc..
   . Highly programmable execution and display TEMPLATE(s), providing a
     viable   alternative  to  a  command-line  programming   language,
     allowing  the creation of  powerful interactive utilities and  the
     emulation of programs such as WHICH, NCD & MAKE
   . Detection of, and testing for, PKLITE, DIET and LZEXE compression
   . TOUCH and full ATTRIB for modifying file and dir dates/attributes
   . On-line BROWSE of file lists for VIEWING, DELETION, RUNNING etc..
   . A user-defined colour MENU system for use in BAT files
   . Analysis of ENVIRONMENT variables (e.g. PATH LIB, INCLUDE etc..)
   . STRING SEARCH  in binary or text files for presence or absense  of
     literal or "typed" strings (e.g. alphabetic, non-numeric etc..)
   . Automatic BEST-FIT directory listing format option
   . RECURSED SUMMARY of subdir contents within directory listing
   . BAR-CHART display of relative file/subdir sizes
   . Display of EXECUTION SIZE of programs
   . SORT by 6 keys (e.g. type, size, date) and by row or column.
   . Full COLOUR options, allowing assignment for specified filespecs
   . Automatic support for 80x43, 132x60 and any other screen sizes
   . 37 user-defined parameters

PocketD  is  good for  both  the occasional and the advanced  user.  It
provides the usual day-to-day file operations, such as file copying, in
a  safe  and  easy-to-use  format.  It  also  bends  over  backwards to
accommodate  each user's particular tastes by offering vast  numbers of
tailoring options.

PocketD's  multiple features can be combined to provide a powerful  and
highly generalised DOS tool. The following gives a couple of examples:


        D /WTc A:

This  compact example will search the whole disk (W) for files modified
today  (T)  and  copy them  (c)  to A:. This also gives  the  user  the
opportunity  to view each file before copying it. Extra conditions  can
also be added, e.g.

        D /WTc A: /E{20k!'Microsoft'

which  will only include executable files (E) less than or equal to  20
kilobytes (20k) and excluding those that contain the string 'Microsoft'
("!" specifies "NOT").


        D /WR .GIF [GIFVIEW $w] [COPY $w A:]

This  example searches the whole disk for graphic *.GIF files. The user
can  then browse these and  optionally choose to view particular  files
using  the program GIFVIEW and/or optionally copy them to drive A:. The
user can process any file in any order and any number of times.


Doubts:

Q1.  Why  use a program like PocketD when there are so many  attractive
     alternatives,  such as PCTOOLS  or NORTON Commander which  provide
     menu-driven interfaces to file management?

A1.     The  reason is that  these menu-oriented packages provide  very
        good  point-and-shoot interfaces to  file VIEW, COPY, MOVE  and
        DELETE,  but do not allow the user to construct automated  file
        management procedures, such as:

                "Take  all  the ZIP files  on drive A: and unpack  each
                into its own subdirectory on drive C:"

        This  is  not possible  with these programs without  repetitive
        keywork.  Such operations require  the use of packages such  as
        MKS  Shell  or  Command  Plus  and custom written  routines  to
        automate such operations.

        PocketD  can perform operations  of this type conveniently  and
        efficiently  from a single  command line, allowing the user  to
        preview the operation before running it. e.g. (from drive C:)

            D A:.ZIP [MD $n//PKUNZIP $w $n\]?  Preview and..

            D A:.ZIP [MD $n//PKUNZIP $w $n\]R  Run


Q2.  Why should I use PocketD when there are other existing rivals?

A2.     The  only  obvious  rival  is  the much larger  DX  program  by
        Econo-soft.  DX has specialist  features that PocketD does  not
        support,  such as  "U.S. Defence standard" file deletion,  file
        compare  and  the  ability  to  touch or  rename  files  inside
        archives.

        Despite  its  smaller  size,  PocketD still has  more  options,
        including  advanced string  searching inside files, a  built-in
        file viewer and full on-line help, not supported by DX. It also
        has  a  much  more  powerful  template facility and  much  more
        flexible directory display (See the file "FEATURE.CMP").


Q3.  Why use PocketD when I do not require complex file management?

A3.     PocketD  is an attractive full-colour directory listing program
        with  many  handy  features  such as automatic  display  format
        selection,  which chooses a listing format for you. It also has
        a  much  more agreeable  and powerful COPY facility than  DOS's
        COPY,  providing the user protection against common errors, and
        giving informative feedback about the copy/move operation being
        completed.

        PocketD  makes  day-to-day  operations more pleasant  and  less
        error-prone.  e.g.  Backing up of  the day's files to disk.  It
        allows  the  user to  discard many utilities that  are  already
        used.   PocketD  saves  disk  space  and  provides  all   these
        facilities with a single common range of command options.



                    FILES SUPPLIED ON RELEASE DISK
                    ------------------------------

        README.D        This file

        D.EXE           The program PocketD     (26k) help files below
                                                        are optional.
        D.HLP           The one page help       ( 2k) view by "D /?"
        D.MAN           On-line option manual   (55k) view by "D /?x"
        D.GDE           On-line User Guide      (39k) view by "D /??"
        D.DOC           On-line General Doc     (23k) view "D /?doc"

        INSTALL.BAT     An installation program for PocketD.

        DEMO.BAT        A demonstration and tutorial for PocketD.

        *.BAT           Various  examples of how PocketD can be used to
                        emulate  other utilities such as NCD, WHICH and
                        WHEREIS etc.. (See below)
 
        EPSON2A.COM     A  program  to  convert  the  file  FEATURE.CMP
                        containing  IBM graphic codes to ordinary text,
                        allowing   printing  to  printers  other   than
                        IBM/Proprinter/BJ10E.  This program can also be
                        used to strip out Epson codes from other files.

        CHANGES.D       Details  the changes between different versions
                        of PocketD.

        FEATURE.CMP     This    comprehensively   compares    PocketD's
                        features with other programs such as PCOPY, DX,
                        RIR  etc.. This file can be viewed by typing: D
                        /q FEATURE.CMP followed by "L" (list).

        REGISTER.DOC    This provides details of how to register.

        VENDOR.DOC      Application for Shareware vendors.


All  of the BAT files below will give "usage" help if used with the
single parameter "/?". e.g.

        DELBUT /?

Most can accept additional options. e.g.

        FD /T           will select the 1st subdirectory found that
                        was created today (see below).

 "f1 f2 .." below indicates multiple filespecs as parameters.


The BAT files provided include:

PsL_UNPK d1 d2          This    will   unpack   a   PsL   disk   of
                        self-unpacking  programs.  See  D  /??  for
                        details.

ATTRIB flags f1 f2..    A  full ATTRIB command allowing setting and
                        clearing of all flags.

DELBUT f1 f2 ..         Delete all but filespecs f1 f2 ..

DELDIR f1               Recursively delete specified subdirectory.

FD f1 f2 ..             Search   for  and  select  a   subdirectory
                        matching f1 (or f2 etc..).

TOUCH f1 f2..           Touch   the  matching  files  to  give  the
                        current date and time.

VDEL f1 f2 ..           Delete all matching files, prompting before
                        each.

WHEREIS f1 f2 ..        Search for files/dirs matching filespecs

WHICH f1                Will show from which subdirectory DOS would
                        run the program "f1" (See D /??).


